Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.symmetric
Class Camellia.AlgParams

    java.lang.Object
      java.security.AlgorithmParametersSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameters
              org.bouncycastle.jce.provider.JDKAlgorithmParameters.IVAlgorithmParameters
                  org.bouncycastle.jce.provider.symmetric.Camellia.AlgParams

Enclosing class:
  Camellia

    public static class Camellia.AlgParams

extends JDKAlgorithmParameters.IVAlgorithmParameters

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.GOST3410, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.OAEP, JDKAlgorithmParameters.PBKDF2, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.PSS, JDKAlgorithmParameters.RC2AlgorithmParameters`

Constructor Summary
`Camellia.AlgParams()`

Method Summary
`protected java.lang.String` `engineToString()`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters.IVAlgorithmParameters
`engineGetEncoded, engineGetEncoded, engineInit, engineInit, engineInit, localEngineGetParameterSpec`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`engineGetParameterSpec, isASN1FormatString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Camellia.AlgParams

    public Camellia.AlgParams()

Method Detail

### engineToString

    protected java.lang.String engineToString()

  Overrides:
    `engineToString` in class `JDKAlgorithmParameters.IVAlgorithmParameters`

Bouncy Castle Cryptography Library 1.45